Pleo currently supports the latest two versions of most popular web browsers. If you are having functionality issues we strongly suggest ensuring your browser is updated to the most recent version.

Below is a list of supported browsers, with links to update or download the most recent version:

Note: Some features may not be fully supported on older versions of these browsers, or on browsers not listed above.

Did this answer your question?